Skip to main content
GET
/
verify
/
{credential_id}
Verify issued credential
curl --request GET \
  --url https://api.hixbe.com/certify/verify/{credential_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Hixbe-Version: <hixbe-version>'
{
  "valid": true,
  "recipient": "John Doe",
  "issued_at": "2025-12-01T10:00:00Z",
  "revoked": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Hixbe-Version
string
required

API version in YYYY-MM-DD format

Example:

"2026-01-01"

Path Parameters

credential_id
string
required

Unique identifier of the credential to verify

Example:

"cred_1234567890abcdef"

Response

Credential verification result

Response containing credential verification result

valid
boolean

Whether the credential is valid and authentic

Example:

true

recipient
string

Name of the credential recipient

Example:

"John Doe"

issued_at
string<date-time>

Timestamp when the credential was issued

Example:

"2025-12-01T10:00:00Z"

revoked
boolean

Whether the credential has been revoked

Example:

false